@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed&family=Rubik:wght@400;500;600;700&family=Ubuntu:wght@300;400&display=swap');
/* 
font-family: 'Roboto Condensed', sans-serif;
font-family: 'Rubik', sans-serif;
font-family: 'Ubuntu', sans-serif
*/
body{
  /* https://www.color-hex.com/color/d3d3d3 */
  background-color: var(--BGcolor); /*#f6f6f6, EBEBD3, fafafa*/
  font-family: Bungee Outline;
  font-weight: 900;

  overflow: hidden; 
  animation: blur 0.5s ease-out;

}

#background {
  position: absolute;
  top: 0px;
  left: 0px;
  background-image: url('https://images.unsplash.com/photo-1616696068617-2f85a2a19226?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxjb2xsZWN0aW9uLXBhZ2V8MXw3NDMwMTIxOXx8ZW58MHx8fHw%3D&w=1000&q=80');
  background-repeat: no-repeat;  
  background-color:rgba(0, 0, 0, 0.438) ;
  background-blend-mode: multiply;
  background-size: 99.9%;
  height: 100%;
  width: 100%;
}

:root{
    --BGcolor:hsl(340, 11%, 95%);
    --Textcolor: #000000;
    --Bi2cordB: #380707;
  --white: #fff;
  --red:hsl(351, 70%, 38%);
}

*{
  outline: none;
  border: none;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

 .upload_bubble {
  border-radius: 80px;
  opacity: 0;
  transition: opacity 0.2s ease-in-out;
position: absolute;
left: 75%;
top: 50%;
transform: translate(-50%, -50%);
        width:25%;
        height: 25%;
        background-color: hsl(340, 11%, 85%);
        outline: 2px solid hsl(351, 69%, 25%);
    }

.upload_bubble.fade {
  opacity: 1;
}


    #fileUname {
          font-family: 'Roboto', sans-serif;
        color: var(--Bi2cordB);
        font-size: 32px;
        position: absolute;
        text-decoration: underline #380707 ;
left: 50%;
top: 45%;
transform: translate(-50%, -50%);
height: max-content;
width: max-content;
    }


a{
    color: rgb(72, 131, 199);
    text-decoration: none;
}
#user-agreement{
    position: absolute;
    top: 33%;
    left: 13%;
    color: whitesmoke;
    font-family: 'Roboto', sans-serif;
}

#login{
    position: absolute;
    top: 35%;
    color: var(--Textcolor);
    left: 50%;
    transform: translate(-50%, 0%);
    font-family: 'Roboto', sans-serif;
    font: bolder;
    font-size: 400%;
}

#join_container{
    position: absolute; 
    background-color:rgba(196, 196, 196, 0.7);
    border: none;
    width: 70%;
    height: 90%;
    left: 27.5%;
    top: 5%;
    outline: none;
    background-blend-mode:multiply;
    border-radius: 30px;
}
#join_inner_container{
  width: 50%;
  height: 100%;
}
#join_input_container{
  width: 100%;
  height: 50px;

  display: flex;
  justify-content: center;
  align-items: center;

  float: left;
}
#join_input{
  color: var(--Bi2cordB);
  font-family: Varela Round;
  font-size: 15px;
  font-weight: bold;
  text-align: center;
    position: absolute;
    border: none;
    border-radius: 3px;
    width: 500px;
    height: 60px;
    text-align: center;
    color: rgb(19, 19, 19);
    background-color: rgb(201, 201, 201);
    font-size: large;
    outline: none;
    left: 50%;
    transform: translate(-50%, 0%);
    top: 55%;
    transition: all 0.5s;
}
#join_input:hover{
    left: 50%;
    width: 740px;
    font-size: x-large;
    box-shadow: 0px 0px 15px rgb(133, 133, 133);
}
#join_input:focus{
    left: 50%;
    width: 740px;
    font-size: x-large;
    box-shadow: 0px 0px 15px rgb(133, 133, 133);
}
#join_input:focus{
  box-shadow: 0 10px 30px -17px #1D3354;
}


#join_input2{
  color: #1D3354;
  font-family: Varela Round;
  font-size: 15px;
  font-weight: bold;
  text-align: center;
    position: absolute;
    border: none;
    border-radius: 3px;
    width: 500px;
    height: 60px;
    text-align: center;
    color: rgb(26, 25, 25);
    background-color: rgb(201, 201, 201);
    outline: none;
    left: 18%;
    top: 59%;
    font-size: large;
    transition: all 0.5s;
    }

#join_input2:hover{
    left: 6%;
    width: 740px;
    font-size: x-large;
    box-shadow: 0px 0px 15px rgb(133, 133, 133);
}
#join_input2:focus{
    left: 6%;
    width: 740px;
    font-size: x-large;
    box-shadow: 0px 0px 15px rgb(133, 133, 133);

}
    

#join_button_container{
  width: 100%;
  height: 50px;

  display: flex;
  justify-content: center;
  align-items: center;

  float: left;
}
#join_button{
  font-family: Varela Round;
  font-size: 15px;
  font-weight: bold;
  text-align: center;
  color: #fff;
    position: absolute;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 600;
    width: 500px;
    height: 80px;
    font-size: 20px;
    border-radius: 5px;
    border: none;
    background-color: var(--red); 
    color: rgb(255, 255, 255);
    top: 72%;
    left: 50%;
    transform: translate(-50%, 0%);
    outline: none;
    transition: 0.1s;

}
#join_button:hover {
    background-color:var(--Bi2cordB);   
    box-shadow: var(--Textcolor);
  }
 #join_button:active {
    box-shadow:0px 0px 10px rgb(22, 22, 22);
  }
#join_button:focus {
    outline:none;
  }

::placeholder {
    color: rgb(151, 150, 150);
  }


#chat_container{


  display: flex;
  justify-content: center;

  float: left;
  margin-top: 40px;
  /* Fade in container */
  animation: fadeIn 1s linear;

}

#chat_container{
  z-index: 9;
    position: absolute;
    top: 0%;
    left:0%;
  width: 100%;
  height: 95%;

  display: flex;
  justify-content: center;
    

  float: left;
  margin-top: 10px;
  margin-left: 0px;
  /* Fade in container */
  animation: fadeIn 1s linear;

}
#chat_inner_container{
  width: 74.5%;
  height: 100%;
  position: absolute;
  left: 25%;
}
#chat_content_container{
  width: 100%;
  height: 90%;

  float: left;
  overflow-y: auto;
  font-family: Varela Round;
  
  padding-left: 35px;
}
#chat_input_container{
  width: 100%;
  height: 10%;

  float: left;
  border-bottom: 2px solid var(--red);
  background-color: Transparent;

  padding-left: 0px;
  padding-right: 15px;
  font-family: Varela Round;
  margin-bottom: 15px;
}
#chat_input{
  padding-left: 2.7%;
  width: 95%;
  height: 100%;
  float: left;
  background-color: Transparent;
  color: var(--Textcolor);
  font-size: 20px;
}
#chat_input_send{
  width: 5%;
  height: 100%;
  float: left;
  font-size: 18px;
  background-color: Transparent;
  text-align: right;
  color: #ccc;
}
#chat_input_send.enabled{
  color: var(--Bi2cordB);
  background-color: Transparent;
  cursor: pointer;

}
#chat_logout_container{
  width: 100%;
  display: inline-block;

  display: flex;
  justify-content: center;
  align-items: center;

  float: left;
  margin-top: 20px;
}

.message_container{
  width: 100%;
  display: inline-block;
  margin-bottom: 20px;

}
.message_inner_container{
  width: 100%;
  display: inline-block;

  color: var(--Textcolor);
}
.message_user_container{
  width: 100%;
  display: inline-block;
}
.message_user{
font-family: 'Ubuntu', sans-serif;
  font-size: 15px;
  text-decoration: underline;
}
.message_content_container{
  width: 100%;
  display: inline-block;

  white-space: pre-wrap;
  word-wrap: break-word;
}
.message_content{
font-family: 'Rubik', sans-serif;
  font-weight: normal;
  font-size: 21px;
  margin-top: 5px;
}

.img_content{
font-family: 'Rubik', sans-serif;
  font-weight: normal;
  font-size: 21px;
  margin-top: 5px;  
}

.enabled{
  transition: background-color 0.5s;
  color: #fff;
  background-color: var(--Bi2cordB); /*#5B7553;*/
  cursor: pointer;
}
#title_container.chat_title_container{
  transition: 0.8s;
  transition-timing-function: ease-in-out;
  height: 100px;
}
#title.chat_title{
  transition: 0.8s;
  font-size: 47px;
}
.loader_container{
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
}
.loader {
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 1s linear infinite;

  border-top: 6px solid var(--Bi2cordB);
  border-bottom: 6px solid var(--red);
  border-left: 6px solid #E9FFF9;
  border-right: 6px solid #E9FFF9;
}

#img_content {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#img_content:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 10; /* Sit on top */
  padding-top: 20px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 650px;
}

/* Add Animation */
.modal-content, #caption {  
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform: scale(0.1)} 
  to {transform: scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
@keyframes fadeIn {
   0% {opacity: 0;}
   100% {opacity: 1;}
}
@keyframes blur {
  0% {filter: blur(5px);}
  100% {}
}
::selection {
  background-color: var(--red);
  color: #fff;
}
/* width */
::-webkit-scrollbar {
  width: 6px;
}
/* Track */
::-webkit-scrollbar-track {
  background: var(--scrollwheel);
}
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--red);
  border-radius: 5px;
}

